#-----------------------------------------------------------------------
#   application 설정
#-----------------------------------------------------------------------
app:
  contract:
    # milisecond
    connection:
      timeout: 600000
      readTimeout: 600000
      thread:
        # 동시 실행 스레드 개수
        corePoolSize: 5
        # 스레드 풀에서 사용할 수 있는 최대 개수
        maxPoolSize: 10

    kt:
      # vpn 사용
      host: http://172.16.0.13:10210/ONLWeb
      # 운영
      #host: http://172.16.11.182:10210/ONLWeb
      api:
        # 토큰발행
        generate-token: /oauth/token
        # 본문자수신등록 : BC-AG-SN-002
        main-send: /api/message/main/send
        # 토큰인증확인조회 : BC-AG-SN-008
        cfm-token: /api/message/token
        # 토큰열람확인결과전송 : BC-AG-SN-009
        read-token: /api/message/read
        # 사전/본 문자 발송/수신 결과 전송 : BC-AG-SN-010
        result-message: /api/ag/message/result

        # 사전문자수신등록 : BC-AG-SN-001
        before-send: /api/message/before/send
        # 수신거부등록 : BC-AG-SN-007
        blacklist: /api/blacklist
        # 백오피스발송통계연계조회 : BC-AG-SN-011
        send-sttc: /api/sndsttc
        # 백오피스발송결과연계조회 : BC-AG-SN-012
        send-sttcdtl: /api/sndsttcdtl
        # whitelist등록 : BC-AG-SN-013
        whitelist: /api/whitelist
        # 유통증명서발급처리 : BC-AG-SM-001
        cerf-acmd: /api/message/acmdcerf
        # 기관정산화면연계토큰인증 : BC-AG-SM-002
        exca-token: /api/auth/excatoken
        # 정산연계자료조회 : BC-AG-EC-001
        exca: /api/auth/exca
        # 전자문서유통정보수치조회 : BC-AG-HS-001
        info-acmd: /api/acmdinfo
        # 전자문서유통정보수치확인서 발급처리 : BC-AG-HS-002
        cfm-acmd: /api/acmdinfocfm
    ktgbs:
      host: http://108.1.143.27:8071
      api:
        # 본문자수신등록 : BC-AG-SN-002
        main-send: /api/msg/send
        # 토큰발행
        access-token: /api/oauth/token
        # 토큰인증확인조회
        cfm-token: /api/msg/token
        # 토큰열람확인결과전송
        read-token: /api/msg/read
